### Method

# ICalGLib Value compare

since: 1.0

#### Declaration [src]

    ICalParameterXliccomparetype
    i_cal_value_compare (
      const ICalValue* a,
      const ICalValue* b
    )

#### Description [src]

Compares two `ICalValue`. If the values do not have the same type ICAL_XLICCOMPARETYPE_NOTEQUAL is returned. ICAL_XLICCOMPARETYPE_NONE is returned if the values type is unknown or one of the values is null.

Available since: 1.0

#### Parameters

`b`

  Type: `ICalValue`

  A `ICalValue`.

  The data is owned by the caller of the method.

#### Return value

Type: `ICalParameterXliccomparetype`

The compare result.